Github messages for voidlinux
 help / color / mirror / Atom feed
From: classabbyamp <classabbyamp@users.noreply.github.com>
To: ml@inbox.vuxu.org
Subject: Re: [PR PATCH] [Updated] common/travis/xlint: make xlint only fatal for new templates
Date: Sun, 09 Jul 2023 00:58:11 +0200	[thread overview]
Message-ID: <20230708225811.IDrzX06_dpq4De1OCQuUwEm4FX_WXrr42IiUVxvc0zM@z> (raw)
In-Reply-To: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-44930@inbox.vuxu.org>

[-- Attachment #1: Type: text/plain, Size: 665 bytes --]

There is an updated pull request by classabbyamp against master on the void-packages repository

https://github.com/classabbyamp/void-packages ci/xlint-nonfatal
https://github.com/void-linux/void-packages/pull/44930

common/travis/xlint: make xlint only fatal for new templates
per discussion on irc, to help updates and other changes go more smoothly, xlint should only cause a CI failure if the linted template is new.

<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**



A patch file from https://github.com/void-linux/void-packages/pull/44930.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ci/xlint-nonfatal-44930.patch --]
[-- Type: text/x-diff, Size: 2214 bytes --]

From a1afe16e8cd3cbdd1cc9326ced48fc1db414e7bc Mon Sep 17 00:00:00 2001
From: classabbyamp <void@placeviolette.net>
Date: Sat, 8 Jul 2023 18:19:43 -0400
Subject: [PATCH] common/travis/xlint: make xlint only fatal for new templates

to help updates and other changes go more smoothly, xlint should only
cause a CI failure if the linted template is new.
---
 common/travis/changed_templates.sh | 10 +++++++++-
 common/travis/xlint.sh             |  9 +++++++--
 2 files changed, 16 insertions(+), 3 deletions(-)

diff --git a/common/travis/changed_templates.sh b/common/travis/changed_templates.sh
index 91af1f1a3c1a..c54b76e92e85 100755
--- a/common/travis/changed_templates.sh
+++ b/common/travis/changed_templates.sh
@@ -20,9 +20,17 @@ base="$(git merge-base origin/HEAD "$tip")"
 echo "$base $tip" >/tmp/revisions
 
 /bin/echo -e '\x1b[32mChanged packages:\x1b[0m'
-git diff-tree -r --no-renames --name-only --diff-filter=AM \
+git diff-tree -r --no-renames --name-only --diff-filter=M \
 	"$base" "$tip" \
 	-- 'srcpkgs/*/template' |
 	cut -d/ -f 2 |
 	tee /tmp/templates |
 	sed "s/^/  /" >&2
+/bin/echo -e '\x1b[32mNew packages:\x1b[0m'
+git diff-tree -r --no-renames --name-only --diff-filter=A \
+	"$base" "$tip" \
+	-- 'srcpkgs/*/template' |
+	cut -d/ -f 2 |
+	tee -a /tmp/templates |
+	tee /tmp/new-templates |
+	sed "s/^/  /" >&2
diff --git a/common/travis/xlint.sh b/common/travis/xlint.sh
index 790791ef1733..f201dbd15772 100755
--- a/common/travis/xlint.sh
+++ b/common/travis/xlint.sh
@@ -11,8 +11,13 @@ common/scripts/lint-commits $base $tip || EXITCODE=$?
 
 for t in $(awk '{ print "srcpkgs/" $0 "/template" }' /tmp/templates); do
 	/bin/echo -e "\x1b[32mLinting $t...\x1b[0m"
-	xlint "$t" > /tmp/xlint_out || EXITCODE=$?
-	common/scripts/lint-version-change "$t" $base $tip > /tmp/vlint_out || EXITCODE=$?
+	if grep -q "^$t\$" /tmp/new-templates; then
+		# only fatal if xlint fails for new templates
+		xlint "$t" > /tmp/xlint_out || EXITCODE=$?
+	else
+		xlint "$t" > /tmp/xlint_out || true
+	fi
+	common/scripts/lint-version-change "srcpkgs/$t/template" $base $tip > /tmp/vlint_out || EXITCODE=$?
 	awk -f common/scripts/lint2annotations.awk /tmp/xlint_out /tmp/vlint_out
 done
 exit $EXITCODE

  parent reply	other threads:[~2023-07-08 22:58 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-08 22:28 [PR PATCH] " classabbyamp
2023-07-08 22:29 ` [PR PATCH] [Updated] " classabbyamp
2023-07-08 22:41 ` classabbyamp
2023-07-08 22:42 ` classabbyamp
2023-07-08 22:44 ` classabbyamp
2023-07-08 22:51 ` classabbyamp
2023-07-08 22:53 ` classabbyamp
2023-07-08 22:55 ` classabbyamp
2023-07-08 22:58 ` classabbyamp [this message]
2023-07-08 23:00 ` classabbyamp
2023-07-08 23:02 ` classabbyamp
2023-10-07  1:45 ` github-actions
2023-10-22  1:46 ` [PR PATCH] [Closed]: " github-actions

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230708225811.IDrzX06_dpq4De1OCQuUwEm4FX_WXrr42IiUVxvc0zM@z \
    --to=classabbyamp@users.noreply.github.com \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).